List Custom Resource Types

List Custom Resource Types

List custom resource types.

Request
URI
GET
https://vra-interop-222-139.lvn.broadcom.net/form-service/api/custom/resource-types
COPY
Query Parameters
string
propertiesFormat
Optional

propertiesFormat

Possible values are : YAML, JSON,
string
runnableId
Optional

runnableId

integer
page
Optional
Constraints: default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: default: 20

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with list of custom resource types in org

Returns PageCustomResourceType of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "size": 0,
    "content": [
        {
            "id": "string",
            "displayName": "string",
            "description": "string",
            "resourceType": "string",
            "externalType": "string",
            "status": "string",
            "orgId": "string",
            "projectId": "string",
            "mainActions": {
                "allocate": {
                    "id": "string",
                    "name": "string",
                    "description": "string",
                    "projectId": "string",
                    "type": "string",
                    "inputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "outputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "endpointLink": "string",
                    "inputBindings": [
                        {
                            "inputKey": "string",
                            "value": "string",
                            "type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "bindingAction": "BindingAction Object"
                        }
                    ]
                },
                "create": {
                    "id": "string",
                    "name": "string",
                    "description": "string",
                    "projectId": "string",
                    "type": "string",
                    "inputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "outputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "endpointLink": "string",
                    "inputBindings": [
                        {
                            "inputKey": "string",
                            "value": "string",
                            "type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "bindingAction": "BindingAction Object"
                        }
                    ]
                },
                "read": {
                    "id": "string",
                    "name": "string",
                    "description": "string",
                    "projectId": "string",
                    "type": "string",
                    "inputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "outputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "endpointLink": "string",
                    "inputBindings": [
                        {
                            "inputKey": "string",
                            "value": "string",
                            "type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "bindingAction": "BindingAction Object"
                        }
                    ]
                },
                "update": {
                    "id": "string",
                    "name": "string",
                    "description": "string",
                    "projectId": "string",
                    "type": "string",
                    "inputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "outputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "endpointLink": "string",
                    "inputBindings": [
                        {
                            "inputKey": "string",
                            "value": "string",
                            "type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "bindingAction": "BindingAction Object"
                        }
                    ]
                },
                "delete": {
                    "id": "string",
                    "name": "string",
                    "description": "string",
                    "projectId": "string",
                    "type": "string",
                    "inputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "outputParameters": [
                        {
                            "type": "string",
                            "name": "string",
                            "description": "string"
                        }
                    ],
                    "endpointLink": "string",
                    "inputBindings": [
                        {
                            "inputKey": "string",
                            "value": "string",
                            "type": {
                                "dataType": "string",
                                "referenceType": "string",
                                "fields": [
                                    "ComplexTypeField Object"
                                ],
                                "isMultiple": false
                            },
                            "bindingAction": "BindingAction Object"
                        }
                    ]
                }
            },
            "additionalActions": [
                {
                    "id": "string",
                    "name": "string",
                    "displayName": "string",
                    "description": "string",
                    "providerName": "string",
                    "resourceType": "string",
                    "status": "string",
                    "projectId": "string",
                    "orgId": "string",
                    "runnableItem": {
                        "id": "string",
                        "name": "string",
                        "description": "string",
                        "projectId": "string",
                        "type": "string",
                        "inputParameters": [
                            {
                                "type": "string",
                                "name": "string",
                                "description": "string"
                            }
                        ],
                        "outputParameters": [
                            {
                                "type": "string",
                                "name": "string",
                                "description": "string"
                            }
                        ],
                        "endpointLink": "string",
                        "inputBindings": [
                            {
                                "inputKey": "string",
                                "value": "string",
                                "type": {
                                    "dataType": "string",
                                    "referenceType": "string",
                                    "fields": [
                                        "ComplexTypeField Object"
                                    ],
                                    "isMultiple": false
                                },
                                "bindingAction": "BindingAction Object"
                            }
                        ]
                    },
                    "formDefinition": {
                        "tenant": "string",
                        "id": "string",
                        "name": "string",
                        "form": "string",
                        "styles": "string",
                        "sourceType": "string",
                        "sourceId": "string",
                        "type": "string",
                        "status": "string",
                        "createdDate": "string",
                        "modifiedDate": "string",
                        "formFormat": "string",
                        "providerRef": "string",
                        "externalSourceFormSchemas": [
                            {
                                "externalSourceId": "string",
                                "parentId": "string",
                                "elementId": "string",
                                "elementType": "string",
                                "facet": "string",
                                "parameters": [
                                    {
                                        "name": "string",
                                        "isValidatable": false
                                    }
                                ]
                            }
                        ]
                    },
                    "criteria": {
                        "matchExpression": [
                            {}
                        ]
                    }
                }
            ],
            "properties": {
                "type": "string",
                "encrypted": false,
                "additionalProperties": false,
                "title": "string",
                "description": "string",
                "writeOnly": false,
                "readOnly": false,
                "anyOf": [
                    "ProviderSchemaImpl Object"
                ],
                "oneOf": [
                    "ProviderSchemaImpl Object"
                ],
                "not": "ProviderSchemaImpl Object",
                "items": "ObjectOrListProviderSchemaImpl Object",
                "uniqueItems": false,
                "maxItems": 0,
                "minItems": 0,
                "maximum": "number",
                "minimum": "number",
                "properties": {
                    "properties": "ProviderSchemaImpl Object"
                },
                "required": [
                    "string"
                ],
                "maxProperties": 0,
                "minProperties": 0,
                "patternProperties": {
                    "patternProperties": "ProviderSchemaImpl Object"
                },
                "maxLength": 0,
                "minLength": 0,
                "pattern": "string",
                "format": "string",
                "formatMinimum": "string",
                "formatMaximum": "string",
                "computed": false,
                "recreateOnUpdate": false,
                "ignoreOnUpdate": false,
                "ignoreCaseOnDiff": false,
                "dependencies": {
                    "dependencies": [
                        "string"
                    ]
                },
                "enum": [
                    {}
                ],
                "const": {},
                "default": {},
                "$data": "string",
                "$dynamicDefault": "string"
            },
            "schemaType": "string",
            "propertyBindings": {
                "readPropertyBindings": [
                    {
                        "schemaPropertyName": "string",
                        "workflowInputOrOutputName": "string"
                    }
                ],
                "updatePropertyBindings": [
                    {
                        "schemaPropertyName": "string",
                        "workflowInputOrOutputName": "string"
                    }
                ],
                "deletePropertyBindings": [
                    {
                        "schemaPropertyName": "string",
                        "workflowInputOrOutputName": "string"
                    }
                ]
            },
            "propertiesYaml": "string"
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}
integer As int64 As int64
totalElements
Optional

totalElements

integer As int32 As int32
totalPages
Optional

totalPages

integer As int32 As int32
size
Optional

size

array of object
content
Optional

The custom resource type

integer As int32 As int32
number
Optional

number

array of object
sort
Optional

sort

integer As int32 As int32
numberOfElements
Optional

numberOfElements

object
pageable
Optional

pageable

boolean
first
Optional

first

boolean
last
Optional

last

boolean
empty
Optional

empty


403

'Forbidden' no custom resource type viewing rights

Returns PageCustomResourceType of type(s) */*
"PageCustomResourceType Object"
integer As int64 As int64
totalElements
Optional

totalElements

integer As int32 As int32
totalPages
Optional

totalPages

integer As int32 As int32
size
Optional

size

array of object
content
Optional

The custom resource type

integer As int32 As int32
number
Optional

number

array of object
sort
Optional

sort

integer As int32 As int32
numberOfElements
Optional

numberOfElements

object
pageable
Optional

pageable

boolean
first
Optional

first

boolean
last
Optional

last

boolean
empty
Optional

empty


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-types